import request from '@/utils/request'

// 查询工单记录单编码列表
export function listMesPwoRecordrecord(query) {
	return request({
		url: '/mes/mesPwoRecordrecord/list',
		method: 'get',
		params: query
	})
}

// 查询工单记录单编码详细
export function getMesPwoRecordrecord(id) {
	return request({
		url: '/mes/mesPwoRecordrecord/' + id,
		method: 'get'
	})
}

// 新增工单记录单编码
export function addMesPwoRecordrecord(data) {
	return request({
		url: '/mes/mesPwoRecordrecord',
		method: 'post',
		data: data
	})
}

// 修改工单记录单编码
export function updateMesPwoRecordrecord(data) {
	return request({
		url: '/mes/mesPwoRecordrecord',
		method: 'put',
		data: data
	})
}

// 删除工单记录单编码
export function delMesPwoRecordrecord(id) {
	return request({
		url: '/mes/mesPwoRecordrecord/' + id,
		method: 'delete'
	})
}